Bug 1218161 - recoll kio slave library path problem
Summary: recoll kio slave library path problem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: recoll
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Terje Røsten
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-05-04 10:36 UTC by Richard Z.
Modified: 2015-05-26 03:38 UTC (History)
1 user (show)

Fixed In Version: recoll-1.20.6-1.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-19 16:23:43 UTC
Type: Bug


Attachments (Terms of Use)

Description Richard Z. 2015-05-04 10:36:27 UTC
Hi, the library path error did creep back into recoll-kio.i686 0:1.20.5-2.fc21 :

Could not open library '/usr/lib/kde4/kio_recoll.so'.
Cannot load library /usr/lib/kde4/kio_recoll.so: (librecoll.so.1.20.5: cannot open shared object file: No such file or directory)
klauncher(10026)/kio (KLauncher) KLauncher::processRequestReturn: "kio_recoll"  failed.
dolphin(10012): couldn't create slave: "Unable to create io-slave:
klauncher said: Error loading 'kio_recoll'.

It was working in the intermediate build http://koji.fedoraproject.org/koji/taskinfo?taskID=9421925, the library is in /usr/lib/recoll/.

Comment 1 Fedora Update System 2015-05-06 17:44:17 UTC
recoll-1.20.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/recoll-1.20.6-1.fc20

Comment 2 Fedora Update System 2015-05-06 17:44:25 UTC
recoll-1.20.6-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/recoll-1.20.6-1.fc21

Comment 3 Fedora Update System 2015-05-06 17:44:35 UTC
recoll-1.20.6-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/recoll-1.20.6-1.fc22

Comment 4 Fedora Update System 2015-05-10 23:41:46 UTC
Package recoll-1.20.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing recoll-1.20.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7819/recoll-1.20.6-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-05-19 16:23:43 UTC
recoll-1.20.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-05-19 16:27:30 UTC
recoll-1.20.6-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-05-26 03:38:51 UTC
recoll-1.20.6-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.